Bug 76125 - adding a printer with "lpadmin" fails quietly
adding a printer with "lpadmin" fails quietly
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 04:02 EDT by Robert P. J. Day
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-10-17 04:02:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
  when adding a printer at the command line with "lpadmin",
the "-m" option *must* refer to a filename relative
to the /usr/share/cups/model directory, including the
trailing .gz suffix.  if you specify a non-existent file,
the printer still gets added but with no corresponding
.ppd file copied into /etc/cups/ppd/.  this makes for
a relatively useless printer. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run "lpadmin" to add a printer using a bogus "-m" value
2.check out /etc/cups/ppd directory afterwards
3.
	

Actual Results:  no ppd file is associated with the printer

Expected Results:  it would be nice if
1) lpadmin checked for a .gz suffix and dealt with it
2) if there is no such file, lpadmin should generate an
   error message

Additional info:
Comment 1 Bill Nottingham 2006-08-07 15:29:54 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:46:28 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.